<mat-toolbar color="primary">
  <button *ngIf="burgerMenuVisible$ | async" mat-icon-button (click)="toggleDrawer()">
    <mat-icon>menu</mat-icon>
  </button>

  {{ 'trainings.title' | translate }}
</mat-toolbar>

<mat-progress-bar *ngIf="loading$ | async"></mat-progress-bar>

<div class="page-content">
  <button mat-fab class="trainings-create-button" (click)="showCreateDialog()">
    <mat-icon>add</mat-icon>
  </button>

  <mat-list *ngIf="trainings$ | async as trainings">
    <mat-card class="training" *ngFor="let training of trainings" [routerLink]="[training.id]">
      <mat-card-header>
        <mat-card-title>{{training.name}}</mat-card-title>
        <mat-card-subtitle>
          {{training.sport.name}}
          -
          <i>{{ 'trainings.date' | translate: {start: training.period.start.toLocaleDateString(), end: training.period.end.toLocaleDateString()} }}</i>
        </mat-card-subtitle>

        <button mat-icon-button class="menu-button" [matMenuTriggerFor]="menu" (click)="$event.stopPropagation()">
          <mat-icon>more_vert</mat-icon>
        </button>
      </mat-card-header>

      <mat-menu #menu="matMenu">
        <button mat-menu-item (click)="showRemoveDialog(training)">{{'app.delete' | translate}}</button>
      </mat-menu>

      <img mat-card-image [src]="environment.api.imagesUrl + training.sport.image_url" [alt]="training.sport.name">

      <mat-card-content>
        <p *ngIf="training.weekends_only">{{ 'trainings.weekends_only' | translate }}</p>
        <p *ngIf="training.activities_per_day > 1">{{ 'trainings.activities_per_day.plural' | translate: {count: training.activities_per_day} }}</p>
        <p *ngIf="training.activities_per_day <= 1">{{ 'trainings.activities_per_day.singular' | translate: {count: training.activities_per_day} }}</p>
        <p *ngIf="training.schedule.length > 1">{{ 'trainings.activities.plural' | translate: {count: training.schedule.length} }}</p>
        <p *ngIf="training.schedule.length <= 1">{{ 'trainings.activities.singular' | translate: {count: training.schedule.length} }}</p>
      </mat-card-content>
    </mat-card>
  </mat-list>
</div>
